Bug 244489 - ATI libGL.so.1.2 avc: denied
Summary: ATI libGL.so.1.2 avc: denied
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-16 01:35 UTC by Karl Latiss
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:39:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0544 normal SHIPPED_LIVE selinux-policy bug fix update 2007-11-08 14:16:49 UTC

Description Karl Latiss 2007-06-16 01:35:32 UTC
Description of problem:
ATI graphics driver conflicts with SELinux targeted policy


Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.4.6-30.el5.noarch

How reproducible:
always

Steps to Reproduce:
1. install ati-driver http://ati.amd.com/support/drivers/linux/linux-radeon.html
  
Actual results:
avc: denied { execmod } for comm="ld-linux.so.2" dev=dm-0 egid=0 euid=0
exe="/lib/ld-2.5.so" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="libGL.so.1.2"
path="/usr/lib/xorg/libGL.so.1.2" pid=18104
scontext=user_u:system_r:prelink_t:s0 sgid=0 subj=user_u:system_r:prelink_t:s0
suid=0 tclass=file tcontext=user_u:object_r:lib_t:s0 tty=(none) uid=0 

# ls -Z /usr/lib/xorg/
lrwxrwxrwx  root root user_u:object_r:lib_t            libGL.so ->
/usr/lib/xorg/libGL.so.1.2
lrwxrwxrwx  root root user_u:object_r:lib_t            libGL.so.1 ->
/usr/lib/xorg/libGL.so.1.2
-rw-r--r--  root root user_u:object_r:lib_t            libGL.so.1.2
drwxr-xr-x  root root user_u:object_r:lib_t            modules

Expected results:


Additional info:
See also report for FC6 (bug #239661)

Comment 1 Daniel Walsh 2007-06-18 16:07:19 UTC
Fixed in selinux-policy-2.4.6-75

This fix will be in u1.

You can make this work by executing 

chcon -t textrel_shlib_t /usr/lib/xorg/libGL.so.1.2

Comment 3 RHEL Product and Program Management 2007-06-20 18:25:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Eduard Benes 2007-08-22 15:37:56 UTC
Could you try the new policy available at the link below and reply 
whether the new packages solve your problem. 

http://people.redhat.com/dwalsh/SELinux/RHEL5/noarch/

Comment 9 errata-xmlrpc 2007-11-07 16:39:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html



Note You need to log in before you can comment on or make changes to this bug.